There is no ports/textproc/docbook-sk in 9.3-RELEASE or 10.1

4.11-RELEASE/ports/textproc/docbook-sk	exists
6.4-RELEASE/ports/textproc/docbook-sk	exists
8.4-RELEASE/ports/textproc/docbook-sk	exists
9.2-RELEASE/ports/textproc/docbook-sk	exists
9.3-RELEASE/ports/textproc		has no ./docbook-sk
10.3-RELEASE/ports/textproc		has no ./docbook-sk
11.0-RELEASE/ports/textproc		has no ./docbook-sk
11.1-RELEASE/ports/textproc		has no ./docbook-sk
current/ports/textproc			has no ./docbook-sk

http://www.freebsd.org/cgi/query-pr.cgi?pr=146327

http://berklix.com/~jhs/src/bsd/fixes/FreeBSD/ports/gen/textproc/docbook-sk/Makefile.REL=ALL.diff

To avoid this error:
  cd /usr/ports/textproc/docbook-sk ; make reinstall
  ===>  Installing for docbook-sk-4.1.2_4
  ===>   docbook-sk-4.1.2_4 depends on file: /usr/local/bin/xmlcatmgr - found
  ===>   Generating temporary packing list
  for file in `/usr/bin/find /usra/ftp/pri/host/fire/usr/ports/textproc/docbook-sk/work -type f | /usr/bin/sed -e 's|^/usra/ftp/pri/host/fire/usr/ports/textproc/docbook-sk/work/||' | /usr/bin/grep -v '^\.' | /usr/bin/sort`; do  install  -o root -g wheel -m 444 /usra/ftp/pri/host/fire/usr/ports/textproc/docbook-sk/work/$file /usr/local/share/xml/docbook/4.1.2/$file;  done
  xmlcatmgr: entry already exists for `-//OASIS//ELEMENTS DocBook XML Information Pool V4.1.2//EN' of type `public'
  *** Error code 1

*** 8.0-RELEASE/ports/textproc/docbook-sk/Makefile	Wed May  5 13:59:28 2010
--- new-generic/ports/textproc/docbook-sk/Makefile	Wed May  5 14:03:47 2010
***************
*** 32,38 ****
  CATALOG_PORTS_XML=	${PREFIX}/share/xml/catalog.ports
  
  pre-su-install:
! 	@[ -d ${DOCBOOKDIR}/ent ] || ${MKDIR} ${DOCBOOKDIR}/ent
  
  do-install:
  	for file in `${FIND} ${WRKSRC} -type f | ${SED} -e 's|^${WRKSRC}/||' | ${GREP} -v '^\.' | ${SORT}`; do \
--- 32,38 ----
  CATALOG_PORTS_XML=	${PREFIX}/share/xml/catalog.ports
  
  pre-su-install:
! 	[ -d ${DOCBOOKDIR}/ent ] || ${MKDIR} ${DOCBOOKDIR}/ent
  
  do-install:
  	for file in `${FIND} ${WRKSRC} -type f | ${SED} -e 's|^${WRKSRC}/||' | ${GREP} -v '^\.' | ${SORT}`; do \
***************
*** 40,54 ****
  	done
  
  post-install:
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ELEMENTS DocBook XML Information Pool V4.1.2//EN" file://${DOCBOOKDIR}/dbpoolx.mod
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//DTD DocBook XML V4.1.2//EN" file://${DOCBOOKDIR}/docbookx.dtd
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ENTITIES DocBook XML Character Entities V4.1.2//EN" file://${DOCBOOKDIR}/dbcentx.mod
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ENTITIES DocBook XML Notations V4.1.2//EN" file://${DOCBOOKDIR}/dbnotnx.mod
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ENTITIES DocBook XML Additional General Entities V4.1.2//EN" file://${DOCBOOKDIR}/dbgenent.mod
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.1.2//EN" file://${DOCBOOKDIR}/dbhierx.mod
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//DTD XML Exchange Table Model 19990315//EN" file://${DOCBOOKDIR}/soextblx.dtd
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//DTD DocBook XML CALS Table Model V4.1.2//EN" file://${DOCBOOKDIR}/calstblx.dtd
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add rewriteSystem "http://www.oasis-open.org/docbook/xml/4.1.2" file://${DOCBOOKDIR}
! 	@${XMLCATMGR} -c ${CATALOG_PORTS_XML} add rewriteURI "http://www.oasis-open.org/docbook/xml/4.1.2" file://${DOCBOOKDIR}
  
  .include <bsd.port.mk>
--- 40,54 ----
  	done
  
  post-install:
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ELEMENTS DocBook XML Information Pool V4.1.2//EN" file://${DOCBOOKDIR}/dbpoolx.mod
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//DTD DocBook XML V4.1.2//EN" file://${DOCBOOKDIR}/docbookx.dtd
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ENTITIES DocBook XML Character Entities V4.1.2//EN" file://${DOCBOOKDIR}/dbcentx.mod
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ENTITIES DocBook XML Notations V4.1.2//EN" file://${DOCBOOKDIR}/dbnotnx.mod
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ENTITIES DocBook XML Additional General Entities V4.1.2//EN" file://${DOCBOOKDIR}/dbgenent.mod
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.1.2//EN" file://${DOCBOOKDIR}/dbhierx.mod
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//DTD XML Exchange Table Model 19990315//EN" file://${DOCBOOKDIR}/soextblx.dtd
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add public "-//OASIS//DTD DocBook XML CALS Table Model V4.1.2//EN" file://${DOCBOOKDIR}/calstblx.dtd
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add rewriteSystem "http://www.oasis-open.org/docbook/xml/4.1.2" file://${DOCBOOKDIR}
! 	-${XMLCATMGR} -c ${CATALOG_PORTS_XML} add rewriteURI "http://www.oasis-open.org/docbook/xml/4.1.2" file://${DOCBOOKDIR}
  
  .include <bsd.port.mk>
